summaryrefslogtreecommitdiff
path: root/Master/texmf-dist/doc/support/ketcindy/forLinux
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2019-03-20 22:30:53 +0000
committerKarl Berry <karl@freefriends.org>2019-03-20 22:30:53 +0000
commit8e508e8b0218f17eb318645073096f2cf645cc78 (patch)
tree3e7a05382ab52c0fb47456f98aee6ed1d168ece0 /Master/texmf-dist/doc/support/ketcindy/forLinux
parentc03bf39f7b8b76e13cd139bc0a100a8115bc0b15 (diff)
ketcindy (20mar19)
git-svn-id: svn://tug.org/texlive/trunk@50488 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/texmf-dist/doc/support/ketcindy/forLinux')
-rw-r--r--Master/texmf-dist/doc/support/ketcindy/forLinux/ReadmeLinuxE.pdfbin0 -> 20183 bytes
-rw-r--r--Master/texmf-dist/doc/support/ketcindy/forLinux/ReadmeLinuxJ.pdfbin0 -> 51971 bytes
-rw-r--r--Master/texmf-dist/doc/support/ketcindy/forLinux/setcindyetc.sh12
-rw-r--r--Master/texmf-dist/doc/support/ketcindy/forLinux/setketcindy.sh78
-rwxr-xr-xMaster/texmf-dist/doc/support/ketcindy/forLinux/setwork.sh67
5 files changed, 157 insertions, 0 deletions
diff --git a/Master/texmf-dist/doc/support/ketcindy/forLinux/ReadmeLinuxE.pdf b/Master/texmf-dist/doc/support/ketcindy/forLinux/ReadmeLinuxE.pdf
new file mode 100644
index 00000000000..833008329da
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forLinux/ReadmeLinuxE.pdf
Binary files differ
diff --git a/Master/texmf-dist/doc/support/ketcindy/forLinux/ReadmeLinuxJ.pdf b/Master/texmf-dist/doc/support/ketcindy/forLinux/ReadmeLinuxJ.pdf
new file mode 100644
index 00000000000..d862929646c
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forLinux/ReadmeLinuxJ.pdf
Binary files differ
diff --git a/Master/texmf-dist/doc/support/ketcindy/forLinux/setcindyetc.sh b/Master/texmf-dist/doc/support/ketcindy/forLinux/setcindyetc.sh
new file mode 100644
index 00000000000..bd138a9ff14
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forLinux/setcindyetc.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+# 20180313
+
+#Edit followings if necessay
+cindyinstall=~/
+sudo apt install openjdk-8-jre
+sudo update-alternatives --config java
+sudo bash ${cindyinstall}Cinderella_unix_2_8.sh
+sudo apt install r-base maxima
+sudo apt install evince
+sleep 1
+exit 0 \ No newline at end of file
diff --git a/Master/texmf-dist/doc/support/ketcindy/forLinux/setketcindy.sh b/Master/texmf-dist/doc/support/ketcindy/forLinux/setketcindy.sh
new file mode 100644
index 00000000000..a7f42a76713
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forLinux/setketcindy.sh
@@ -0,0 +1,78 @@
+#!/bin/sh
+# 20180310
+
+# Edit and uncomment the following lines if necessary
+texpath=/usr/share/texlive
+texbinpath=/usr/bin
+
+kettex=0
+if [ ${kettex} -eq 0 ]; then
+ texpath=/opt/kettex/texlive
+ texbinpath=/opt/kettex/texlive/bin/x86_64-linux
+fi
+
+#ketsrc=~/Desktop/ketcindyfolder
+cindyplug=/usr/local/cinderella/Plugins
+homehead=/home
+
+ketcindyscripts=${texpath}/texmf-dist/scripts/ketcindy
+ketcindydoc=${texpath}/texmf-dist/doc/support/ketcindy
+ketcindystyle=${texpath}/texmf-dist/tex/latex/ketcindy
+
+cd `dirname $0`
+if [ -e ../ketcindyfolder ]; then
+ cd ../ketcindyfolder
+fi
+
+echo texpath=${texpath}
+echo texbinpath=${texbinpath}
+echo cinderella plugin=${cindyplug}
+echo home=${homehead}
+read -p 'Are the above paths OK? (y/n) : ' ans
+if [ ${ans} = "n" ]; then
+ echo Edit paths
+ sleep 2
+ exit 0
+fi
+
+echo copying scripts
+sudo cp -r -p scripts/ ${ketcindyscripts}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "scripts copied to "${ketcindyscripts}
+fi
+sudo cp -r -p doc/ ${ketcindydoc}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "doc copied to "${ketcindydoc}
+fi
+sudo cp -r -p style/ ${ketcindystyle}/
+if [ $? -gt 0 ]; then
+ echo Error $?
+ sleep 5
+else
+ echo "styles copied to "${ketcindystyle}
+ sudo ${texbinpath}/mktexlsr
+fi
+cd ${cindyplug}
+if [ -e KetCindyPlugin.jar ]; then
+ sudo rm ${cindyplug}/KetCindyPlugin.jar
+fi
+if [ -e ketcindy.ini ]; then
+ sudo rm ${cindyplug}/ketcindy.ini
+fi
+cd ${ketcindyscripts}
+cp -p ketjava/KetCindyPlugin.jar ${cindyplug}
+echo "PathThead=\"${texbinpath}/\";" > ${cindyplug}/ketcindy.ini
+echo "Dirhead=\"${ketcindyscripts}\";" >> ${cindyplug}/ketcindy.ini
+echo "Homehead=\"${homehead}\";" >> ${cindyplug}/ketcindy.ini
+echo "setdirectory(Dirhead);" >> ${cindyplug}/ketcindy.ini
+echo "import(\"setketcindy.txt\");" >> ${cindyplug}/ketcindy.ini
+echo "import(\"ketoutset.txt\");" >> ${cindyplug}/ketcindy.ini
+echo "KetCindyPlugin and others copied to Cinderella"
+sleep 1
+exit 0
diff --git a/Master/texmf-dist/doc/support/ketcindy/forLinux/setwork.sh b/Master/texmf-dist/doc/support/ketcindy/forLinux/setwork.sh
new file mode 100755
index 00000000000..9dd91b533c3
--- /dev/null
+++ b/Master/texmf-dist/doc/support/ketcindy/forLinux/setwork.sh
@@ -0,0 +1,67 @@
+#!/bin/sh
+# 20190223
+
+# Edit and uncomment the following line if necessary
+pathpdf=evince
+home=~
+dist=${home}/ketcindywork # work folder of ketcindy
+
+cd `dirname $0`
+if [ -e ../ketcindyfolder ]; then
+ cd ../ketcindyfolder
+fi
+echo `pwd`/work will be copied
+changesetting=/.ketcindy.conf #181017
+cp -r -p work/ ${dist}/
+if [ $? -gt 0 ]; then
+ echo Error:$?
+ sleep 5
+else
+ echo Workfolder has been generated as ${dist}
+ echo "This folder can be moved to any place" ##180913
+fi
+cd doc/ketmanual
+read -p 'Choose platex(p),uplatex(u),latex(l),xelatex(x),pdflatex(pd),lualatex(lu):' tex
+if [ ${tex} = "p" ]; then
+ tex="platex"
+ cp -p KeTCindyReferenceJ.pdf ${dist}
+ cp -p KeTCindyGuideJ.pdf ${dist}
+ cp -p KeTPicStyleJ.pdf ${dist}
+fi
+if [ ${tex} = "u" ]; then
+ tex="uplatex"
+ cp -p KeTCindyReferenceJ.pdf ${dist}
+ cp -p KeTCindyGuideJ.pdf ${dist}
+ cp -p KeTPicStyleJ.pdf ${dist}
+fi
+if [ ${tex} = "l" ]; then
+ tex="latex"
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTPicStyleE.pdf ${dist}
+fi
+if [ ${tex} = "x" ]; then
+ tex="xelatex"
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTPicStyleE.pdf ${dist}
+fi
+if [ ${tex} = "pd" ]; then
+ tex="pdflatex"
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTPicStyleE.pdf ${dist}
+fi
+if [ ${tex} = "lu" ]; then
+ tex="lualatex"
+ cp -p KeTCindyReferenceE.pdf ${dist}
+ cp -p KeTCindyGuideE.pdf ${dist}
+ cp -p KeTPicStyleE.pdf ${dist}
+fi
+echo generating ${home}/${changesetting}
+echo // Re-setting PathT,PathR,Pathpdf,PathM,PathAd >${home}${changesetting}
+echo "PathT=PathThead+\"${tex}\";" >>${home}${changesetting}
+echo "Pathpdf=\"${pathpdf}\";" >> ${home}${changesetting}
+echo "Mackc=\"bash\";" >>${home}${changesetting}
+sleep 1
+exit 0 \ No newline at end of file